using System;

namespace kvadrati
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            long x1 = long.Parse(s[0]);
            long y1 = long.Parse(s[1]);
            string[] s1 = Console.ReadLine().Split();
            long x2 = long.Parse(s1[0]);
            long y2 = long.Parse(s1[1]);
            if (x1 == x2 || y1 == y2)
            {
                Console.WriteLine(2);
            }
            else if (Math.Abs(x1 - x2) != Math.Abs(y1 - y2))
            {    
                 Console.WriteLine(0);
            }
            else
            {
                Console.WriteLine(1);
            }
            
        }
    }
}